blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
81d58ed01705ae83ac3f85e938775d4e50933b36
Shell
W4RH4WK/dotConfig
/dotconfig
UTF-8
1,084
3.859375
4
[]
no_license
#!/bin/bash set -e readonly DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) readonly APPDATA="/mnt/c/Users/$USER/AppData" usage() { echo "Usage: $0 <pull | push> <PROGRAM>" echo echo " PROGRAM:" echo " krita" echo " vscode" echo " vs-snippets" echo } config_krita() { copy "$APPDATA/Local/kritad...
true
9666a59407b224d7fd2aa5174e11e17c18ae63bd
Shell
smitagaikwad25/Demo_Programs
/case_satement.sh
UTF-8
561
3.609375
4
[]
no_license
#!/bin/bash #vehicle=$1 #case $vehicle in # "car") # echo "Rent of $vehicle is 100 doller" ;; # "van") # echo "Rent of $vehicle is 80 doller" ;; # "bicycle") # echo "Rent of $vehicle is 5 doller" ;; # * ) # echo "unknown vehicle" ;; #esac echo -e "enter character : \c" read value case $value in ...
true
d8601d34f7d51fc8837481e4e03a239b3ee5b526
Shell
sstone1/fabric-sdk-node
/scripts/ci_scripts/publishNpmModules.sh
UTF-8
3,681
3.796875
4
[ "CC-BY-4.0", "Apache-2.0" ]
permissive
#!/bin/bash -e # # Copyright IBM Corp All Rights Reserved # # SPDX-License-Identifier: Apache-2.0 # nodeModules="fabric-protos fabric-common fabric-ca-client fabric-client fabric-network" npmPublish() { if [[ "$CURRENT_TAG" = *"skip"* ]]; then echo -e "\033[34m----> Don't publish $1 npm modules on skip tag \033...
true
ab37467ed28058429a1448a3845d6ab0e9318003
Shell
blackb1rd/dotfiles
/setup.sh
UTF-8
42,465
3.125
3
[]
no_license
#!/bin/bash # shellcheck disable=SC1091 . "shells/source/utility.sh" GITHUB_RAW_URL='https://raw.githubusercontent.com' GITHUB_FOLDER="$HOME/git/github" GITHUB_URL='https://github.com' TEMP="/tmp" ROOT_PERM="" USRPREFIX="/usr/local" GOLANG_VERSION="1.18" PYTHON3_VERSION="3.10.9" PIPoption="install --user --upgrade" R...
true
e94d704f060b1d5990727f1e44f6ba47cd2839d1
Shell
chaosone/shell_study_guide
/if-test.sh
UTF-8
116
2.8125
3
[]
no_license
#!/usr/bin/env bash if [ -f /etc/host ]; then echo "host file exists!" else echo "host file not exists!" fi
true
9acdc82d30b30a3ae2550becd287bffb81c78ba9
Shell
starpicker/something
/sourcecode/my_training_predict/my_predict/my_predict.sh
UTF-8
172
2.65625
3
[]
no_license
inputpath=temp_out inputdata=input.data for i in `ls $inputpath` do file=$inputpath/$i ./write_grey2txt_append $file $inputdata 0 ./tinn $inputdata $file done
true
fe75ce2b9c6479946ee2d857b2431cab3ddc899f
Shell
cacack/ansible-moteino-gateway
/run-ansible.sh
UTF-8
242
2.59375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash allargs=( $@ ) len=${#allargs[@]} hostname=${allargs[$len-1]} args=${allargs[@]:0:$len-1} export ANSIBLE_HOST_KEY_CHECKING=false ansible-playbook -u root --ask-pass --inventory="${hostname}," ${args} moteino-gateway.yml
true
910811dae015ea4a83ea7dbc631d4f1bf2d0be65
Shell
rachclark/bash-parallel
/parallel_submit_legacy.sh
UTF-8
11,383
4.28125
4
[]
no_license
#!/bin/bash function printCommandLine { echo "Usage: parallel_submit.sh -f flags -l list (.txt) -s script -m free_memory_limit -c clean -h help" echo " where" echo " -f Put the flags in quotations separated by a space (i.e. \"1_flag 2_flag 3_flag\")" echo " -l Lists of the arguments you want to pas...
true
a6ade03ecc245c7f56526f932fc54ed378ac9a8a
Shell
evacougnon/dotfiles
/bin/create_pem_key_from_rsa
UTF-8
165
2.921875
3
[ "LicenseRef-scancode-unknown-license-reference", "LicenseRef-scancode-public-domain", "Unlicense" ]
permissive
#!/bin/bash if [ ! -f ~/.ssh/id_rsa.pem ] then echo 'creation of pem private key' openssl rsa -in ~/.ssh/id_rsa -outform pem > ~/.ssh/id_rsa.pem exit 1 fi
true
5b76b1b55954309e9349c87a229ae118e9944c0c
Shell
absortium/deluge
/useful/aliases/docker-compose.sh
UTF-8
1,920
3.65625
4
[]
no_license
#!/usr/bin/env bash # ------------------------------------ # Docker compose alias and function # ------------------------------------ func_dcinit() { declare COMPOSE_MODE="$1" if [ -z "$COMPOSE_MODE" ]; then echo "Use default init mode '$DEFAULT_MODE'" COMPOSE_MODE="$DEFAULT_MODE" fi ...
true
b8b919c79982f3c135d38c84e216298115dbc6a9
Shell
jazzsir/tmux
/bin/tmux-ceph
UTF-8
1,099
2.96875
3
[]
no_license
#!/bin/bash #/home/ryann/scripts/restoretmux.sh if [ -z "$1" ] then SESSIONNAME="ceph" else SESSIONNAME="ceph-$1" fi tmux has-session -t $SESSIONNAME 2> /dev/null if [ $? != 0 ] then tmux new-session -s $SESSIONNAME -n ceph -d tmux send-keys 'ssh jazzsir@172.30.1.200' 'C-m' tmu...
true
6e2da0a8739e8cea4cc52f2ad1e1b2309385ac2b
Shell
ish/adminish-example
/recreate-database.sh
UTF-8
420
3.03125
3
[]
no_license
echo -e "\n\tPrepared to replace example\n" read -p "Continue? (yes/no): " REPLACE if [ "$REPLACE" == "yes" ] || [ "$REPLACE" == "Yes" ] || [ "$REPLACE" == "YES" ]; then echo -n "Deleting example .. " curl -X DELETE http://localhost:5984/example echo echo -n "Creating example .. " curl -X PUT http://localhost:5984/exam...
true
60cc8a2924b695160453b7bdc4c3d79f8cc2cf8b
Shell
huhabla/grass6-test-suite
/Tests/raster/r.elev.to.rast3-test.sh
UTF-8
1,267
2.796875
3
[]
no_license
########################################### #Tile Title="r.elev.to.rast3 test" # -- required #A description of the test Description="Full function test of r.elev.to.rast3" # -- optional NumberOfTests=6 #The module which should be tested i=0 while [ ${i} -lt ${NumberOfTests} ] ; do Module[${i}]="r.elev.to.rast3" ...
true
9dee41ce9eecfc05c8fcb41d76a071b0f89ffdfc
Shell
shotalinux/LinuxClass
/shellscripts/7-functions.sh
UTF-8
1,174
3.390625
3
[]
no_license
#!/bin/bash #simle example hello_world () { echo 'hello, world' } hello_world # ----------------------------------------- Variables Scope ------------------------------------------- echo "----------------------------------------- Variables Scope ---------------------------------------...
true
3d079ee1816b5fa455a3e884b7e577fd1c03f25f
Shell
bsed/dockerfiles
/wp-mariadb/scripts/restore.sh
UTF-8
246
3.546875
4
[]
no_license
#!/bin/sh if [ -z "$1" ]; then echo "Usage: restore BACKUP.sql" fi if [ -e "$1" ]; then mysql \ --user=$MYSQL_USER \ --password=$MYSQL_PASSWORD \ $MYSQL_DATABASE < $1 echo "Database backup $1 restored." else echo "$1 not found." fi
true
2a7b3a158296dae83a859cc330e822560ca6ecc1
Shell
ik-security/prowler
/checks/check_extra7195
UTF-8
7,302
3.15625
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Prowler - the handy cloud security tool (copyright 2019) by Toni de la Fuente # # Licensed under the Apache License, Version 2.0 (the "License"); you may not # use this file except in compliance with the License. You may obtain a copy # of the License at http://www.apache.org/licenses/LICENSE-2.0...
true
1c5fcad2a6ca08ee634ac0c318af105e3feea324
Shell
NapoleonWils0n/cerberus
/w3m/cgi-bin/functions.cgi
UTF-8
853
3.546875
4
[]
no_license
#!/bin/sh # fzf prompt to specify function to run from readme.func file='/usr/share/doc/w3m/README.func' selection=$(awk '{ print $0 }' "${file}" | fzf-tmux -d 30% --delimiter='\n' --prompt='Run w3m function: ' --info=inline --layout=reverse --no-multi | awk '{ print $1 }') # variables browser='/usr/bin/firefox' # d...
true
dad15f9a673ce5ab95209aba1d40dd501b1ccf55
Shell
zamar/admin
/src/createf/createf-new
UTF-8
1,729
4.65625
5
[]
no_license
#!/bin/bash #-------------------------------------------------------------------------- # USAGE: # createf-new filename type # # DESCRIPTION: # Creates file with specified skeleton #-------------------------------------------------------------------------- #--------------------------------------------------------...
true
d3cde9e18dfde91a03eaaaae9103e57bd4191778
Shell
bdill11/noweb
/filenamehack.bash
UTF-8
185
3.203125
3
[]
no_license
#!/bin/bash cat filelist | tr -d '\\' | tr -d \\r > templist for f in `cat templist` do if [[ "$f" =~ .*-.*\.m ]] then mv "$f" `echo "$f" | sed -e s/-/_/g` fi done rm templist
true
7fcf7cb90220dbc813c795f4ff81eba6be4edb5e
Shell
AndrewWalker/dotfiles
/python/install-python-depends
UTF-8
443
3.21875
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash PATH=$PATH:~/.local/bin function installpip { # check if pip is available (even if it's system pip) which pip > /dev/null if [[ "$?" != "0" ]]; then wget -c https://raw.github.com/pypa/pip/master/contrib/get-pip.py python get-pip.py --user pip install --upgrade pip whee...
true
d713e3ea7427669a480af85c73cd2472c390a63d
Shell
hassio-addons/bashio
/lib/addons.sh
UTF-8
49,463
3.328125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # ============================================================================== # Home Assistant Community Add-ons: Bashio # Bashio is a bash function library for use with Home Assistant add-ons. # # It contains a set of commonly used operations and can be used # to be included in add-on scripts to...
true
67b493a2065dd8e81567e18b55cd4455e94f11d5
Shell
relaxdiego/gastropub
/script/common
UTF-8
799
2.84375
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/usr/bin/env bash script_path=$( dirname "${BASH_SOURCE[0]}" ) cd $script_path/.. && export project_path=$(pwd) && cd - > /dev/null export project_name=gastropub export tmp_path=${project_path}/tmp export packer_tmp_path=${tmp_path}/packer export packer_output_path=${packer_tmp_path}/output export packer_http_pat...
true
085c14ad846f16d8f1ff0fb507ce8e7973c1a1ad
Shell
MrZloHex/lscc
/scripts/lscmem.sh
UTF-8
1,159
3.71875
4
[]
no_license
#!/bin/bash aLL="" bYTES="" hELP="" JSON="" nOHEADINGS="" oUTPUT="" Ouput_list="" PAIRS="" rAW="" SPLIT="" sYSROOT="" VERSION="" Usummary="" # calling function call_function(){ while [[ $key != "q" ]] do lsmem $aLL $bYTES $hELP $JSON $nOHEADINGS $oUTPUT $Ouput_list $PAIRS $rAW $SPLIT $sYSROOT $VERSION $Usummary ...
true
f295af3226349bf0f4e5521c162fc5ab5e568ca2
Shell
1456764506/netdata_install
/netdata_install.sh
UTF-8
8,869
4
4
[]
no_license
#!/bin/bash PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin export PATH #=================================================================# # Script Name: netdata.sh # # System Required: Centos Ubuntu Debian # # Description: ...
true
77979916fd5a6c166025f48456ed0bc432b4e989
Shell
merlinvn/dotfiles
/shell/.profile
UTF-8
2,683
2.765625
3
[ "BSD-3-Clause", "MIT" ]
permissive
# ~/.profile: executed by the command interpreter for login shells. # This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login # exists. # see /usr/share/doc/bash/examples/startup-files for examples. # the files are located in the bash-doc package. # the default umask is set in /etc/profile; for setting t...
true
5ff6ea52e4e0ba8e5940b0e5816d6c66b219aa93
Shell
bewt85/docker-etcdctl
/build.sh
UTF-8
1,283
4.3125
4
[]
no_license
#!/bin/bash if [[ $EUID -ne 0 ]]; then echo "Must be run as root. Use \`sudo -E $0\` to keep the DOCKER_ACCOUNT_NAME variable accessible" exit 1 fi PROJECT=etcdctl DIR="$( cd "$( dirname $0 )" && pwd )" if [[ ! -z $DOCKER_ACCOUNT_NAME ]]; then container_name="${DOCKER_ACCOUNT_NAME}/${PROJECT}" else containe...
true
d4a5608a4b8d8634cc1ec18387d7093eb83ce3a6
Shell
66RING/dotfiles
/install.sh
UTF-8
748
2.9375
3
[]
no_license
#!/bin/sh # STOW_DIR=$(pwd)/.. # TAR_DIR=${HOME} # mkdir -p \ # "$TAR_DIR/.local/bin" \ # "$TAR_DIR/.local/share/applications" # stow -t "$TAR_DIR" -d "$STOW_DIR" --ignore='.*\.md' --ignore='.*\.sh' --ignore='\.git.*' dotfiles # remove # stow -t "$TAR_DIR" -d "$STOW_DIR" -D dotfiles git submodule update --i...
true
e0854930433001b304b347e6fe7a3f2b0723e7f3
Shell
trankmichael/intro
/comp15/lab5/run_tests
UTF-8
443
3.28125
3
[]
no_license
#!/bin/sh # # run all the tests # cp /dev/null test_results for t in test*-? do echo "Testing $t..." rm -f core.* echo ":::: Test $t :::::" >> test_results ./$t > $$ 2> $$.e if test $? -gt 127 then echo "$t CRASHED" rm -f core.* fi cat $$ >> test_results if test -s $$.e then echo ...
true
6e47a151cb5523f84625c30c3716905f3adcddf8
Shell
nvitucci/pyke
/make_release
UTF-8
7,516
3.9375
4
[ "MIT" ]
permissive
#!/bin/bash # make_release release_number usage() { echo "usage: make_release release_number" >&2 exit 2 } [ $# -eq 1 ] || usage set -e RELEASE_1=release_1 PYKE=pyke PRE_2TO3_R1=pre_2to3_r1 PRE_2TO3=pre_2to3 TMPFILE=/tmp/make_release.$$ release_number="$1" start_repo=`pwd` # conditional commit -- only ...
true
56dd5e740067d840cd267f433cd597cb340f8c09
Shell
dwheltzel/Shell-Scripts-for-Oracle-DBAs
/manage_tablespaces.sh
UTF-8
3,925
2.90625
3
[]
no_license
# Manage tablespaces and partitions created by incremental partitioning # # Author: Dennis Heltzel . /home/oracle/bin/ora_funcs.sh ORACLE_BASE=/u01/app/oracle ORACLE_HOME=${ORACLE_BASE}/product/12.1.0.2/DbHome_2 PATH=$PATH:$ORACLE_HOME/bin CRED=${CRED:-/} RUN_DDL=Y TS_SUFFIX=`date '+%Y%m'` usage() { echo "Usage: $...
true
4ec984b3637bacecd5b1941976e92300dce117af
Shell
kobrl/workstation
/bin/install_workstation
UTF-8
913
3.015625
3
[]
no_license
#!/usr/bin/env bash set -e cd ~/compozed-workstation/ git submodule update --init # Sprout wrap installation cd ~/compozed-workstation/sprout-wrap if [ ! -x /usr/bin/gcc ]; then xcode-select --install fi sudo gem install bundler sudo bundle install caffeinate bundle exec soloist # Vim configs installation rm -rf ...
true
a3bc6e836d3b50efeff66e5052e9b7b0bb48cdec
Shell
Slaid480/Android-Universal-Fly-On-Mod
/system/etc/init.d/IO_Tweaks
MacCentralEurope
1,411
2.8125
3
[]
no_license
#!/system/bin/sh # I/O Tweaks For Fly-On Mod by Slaid480! #============ Copyright (C) 2015 Salah Abouabdallah(Slaid480)===========# see <http://www.gnu.org/licenses/>. #=======================================================================# mount -o remount,rw / mount -o remount,rw rootfs mount -o remount,rw /s...
true
824042559360a5d2bf1c42079a648aaf7fb72acf
Shell
aerogear-attic/aerogear-xamarin-sdk
/scripts/test/update_showcase.test.js
UTF-8
7,161
2.875
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/bin/bash 'use strict' const assert = require('assert'); const fs = require('fs-extra') const promisify = require("util").promisify const xmlhandling = require('../modules/xml_handling') const showcaseop = require('../modules/showcase_operations') const projop = require('../modules/project_operations') const readFile...
true
85d9bac6d26c7af2cff2828d86abdda0dfb38d59
Shell
namgivu/suitecrm-start
/00.suitcrm-setup-commands.sh
UTF-8
3,251
3.25
3
[]
no_license
#!/usr/bin/env bash #ref. https://www.vultr.com/docs/how-to-install-suitecrm-on-ubuntu-16-04 #os: ubuntu-16-04 #set locale (droplet missed the below two fields) sudo echo " export LANGUAGE='en_US.UTF-8' export LC_ALL='en_US.UTF-8' " >> ~/.bashrc && source ~/.bashrc #update os sudo apt update -y && sudo apt install -...
true
5a512bf97f1baf1da1159430810d35dd8f466d6c
Shell
jmoggridge/sklearn_example_pipelines
/MoggridgeJ_A2_all_my_programs/scripts/gather_results.sh
UTF-8
1,244
3.171875
3
[]
no_license
#!/bin/bash # Gather all results .csv files and figures # mkdir -p results for x in 0 1 2 3 4 do cp abalone-folded-0$x/svn_performance.csv ./results/abalone_svn_$x.csv cp abalone-folded-0$x/logreg_performance.csv ./results/abalone_logreg_$x.csv cp cancer-folded-0$x/svn_performance.csv ./results/cancer_svn_$x.c...
true
3acf109e60eee7f33b16d2750a65d06aa7f6d280
Shell
awsque/learn
/bash/rename.sh
UTF-8
252
3.4375
3
[]
no_license
#!/bin/bash #将当前目录下打png,jpeg格式打图片重命名 count=1 for img in `find . -maxdepth 1 -name '*.jpeg' -o -name '*.png' -type f` do newimg=image-${count}.${img##*.} mv "$img" "$newimg" echo 'rename success!!!!' let count++ done
true
7dce6216917db4a1c2d72633f3a05e5c3d22f431
Shell
ngkim/vagrant
/kilo/include/openstack/02_endpoint.sh
UTF-8
2,490
2.859375
3
[]
no_license
create_keystone_service() { openstack service create \ --name keystone --description "OpenStack Identity" identity } create_keystone_endpoint() { openstack endpoint create \ --publicurl http://controller:5000/v2.0 \ --internalurl http://controller:5000/v2.0 \ --adminurl http://controller:35357/v2.0 \ ...
true
763102ee5da854d384da961dad9ed9e1f5936e2f
Shell
frossi933/IAA
/TP2/ejb/getError.sh
UTF-8
386
3.1875
3
[]
no_license
#!/bin/bash # Obtenemos el test discreto a partir de las salids del algoritmo # ./getError for n in 2 5 10 20 40 do ARR=(`grep "Test discreto:" sal_${n} | awk -F ':' '{print $2}' | sed s/'%'/' '/g`) for i in {1..10} do echo ${ARR[$i]} >> tmp done ARRSORT=( `sort -g tmp` ) rm tmp MED=`echo "scale=2; ( ${ARR...
true
ee7d6bcca43d8a31a131568c9b4846d25ae61ae5
Shell
mradovic95/WebshopComposer
/autocomplete.sh
UTF-8
842
2.84375
3
[]
no_license
#autocomplete #http://fahdshariff.blogspot.com/2011/04/writing-your-own-bash-completion.html #tr #http://askubuntu.com/questions/164056/how-do-i-combine-all-lines-in-a-text-file-into-a-single-line #cat myfile.txt | tr -d '\n' ' ' > oneline.txt #cat myfile.txt | tr -d '\n' > oneline.txt #sed #http://www.cyberciti.bi...
true
3f9e975e4752396193e6a63815f8bf2280742c0b
Shell
feedsbrain/pssh-box-static
/src/build.sh
UTF-8
944
3.5625
4
[]
no_license
#!/bin/bash set +e cd $(dirname $0) VERSION=1.0.0 OUTPUT_PATH="unknown" # TODO: Detect processor architecture # For the moment we only support x64 echo "" echo "Assigning build output for OS: $OSTYPE" if [[ "$OSTYPE" == "linux-gnu" ]]; then OUTPUT_PATH=../bin/linux/x64 elif [[ "$OSTYPE" == "darwin"* ]]; then ...
true
2c29e99a161bd1799e092230c470d5d23863c0a8
Shell
webscale-networks/mod_pagespeed
/devel/lots_of_vhosts.sh
UTF-8
2,010
3.921875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright 2012 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
true
aa6fe2094b5112c76c5734e1dec719e7043a0c6f
Shell
davidbeermann/dotdotdot
/scripts/get_yarn.sh
UTF-8
560
3.25
3
[]
no_license
echo "Install Yarn" echo "More info: https://yarnpkg.com/" echo "-------------------------------" # https://stackoverflow.com/a/26759734 if ! [ -x "$(command -v curl)" ]; then echo 'Error: curl is not installed.' >&2 exit 1 fi echo "1. Adding Debian package repository" curl -sS https://dl.yarnpkg.com/debian/pubke...
true
e66e51247aa50932634fe5d95ab722bca1848b92
Shell
tordans/osmbc
/test.sh
UTF-8
699
3.5
4
[ "MIT" ]
permissive
#!/bin/bash # # This script starts the test module using Istanbul for codecoverage # The coverage is NOT uploaded afterwards to codecov.io # it is used on NON TRAVIS machines # # it is started by npm test with the $TRAVIS variable set to nothing # ("test": "NODE_ENV=test ./test$TRAVIS.sh") (from package.json) # # i...
true
bc0c8c7ae9340f12fcbae278e2697a1e2111cadd
Shell
arghyagod-coder/hydra
/linux_install.sh
UTF-8
495
3.140625
3
[ "MIT", "GPL-1.0-or-later", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash echo "Downloading hydra..." wget https://github.com/Shravan-1908/hydra/releases/latest/download/hydra-linux-amd64 echo "Adding hydra into PATH..." mkdir -p ~/.hydra mv ./hydra-linux-amd64 ~/.hydra/hydra chmod +x ~/.hydra/hydra echo "export PATH=$PATH:~/.hydra" >> ~/.bashrc fish -c "set -U fish_user_pat...
true
09047fb3dd0775345351cd84a6e21daad087584c
Shell
StephanSchw/Sample-Code
/_PHP/ProcessControl/webscript.sh
UTF-8
1,415
4.25
4
[ "MIT" ]
permissive
#!/bin/bash # # sudo web script allowing user www-data to run commands with root privilegs # # visudo: # www-data ALL=NOPASSWD:/var/sudowebscript.sh # ProgramBinPath=( 'apache2::/etc/init.d/apache2' 'oidentd::/etc/init.d/oidentd' ) start_prog() { prog=$1 PID="$(ps auxw | grep -v grep | grep -v $0 | grep $prog | a...
true
99afc601374fcfe47ab81170b0991a4ca4c190d8
Shell
cjlovering/Aminon
/test-scripts/scanner_query.sh
UTF-8
123
2.75
3
[ "MIT" ]
permissive
#!/bin/bash IP="$1" wget $IP --no-dns-cache if[[ $? -eq 0 ]]; then echo "SCAN ATTACK WORKED" >> scan_results.txt fi
true
4e6dcaf8f55dd29fafbf5326a1e4bc2b8111a37f
Shell
nunofsantos/LaundryAlarm
/setup-service.sh
UTF-8
434
2.515625
3
[]
no_license
#!/bin/bash set -x mkdir -p /var/log/laundryalarm chown pi.pi /var/log/laundryalarm touch /var/log/laundryalarm/laundryalarm.log chown pi.pi /var/log/laundryalarm/laundryalarm.log cp laundryalarm.service /lib/systemd/system/laundryalarm.service chmod 644 /lib/systemd/system/laundryalarm.service systemctl daemon-reload...
true
e88807c379720ae363b6b5472e28e96fb3521745
Shell
ijayden-lung/hpc
/Jun_test_RNA_seq/tools/perl-5.30.2/Policy.sh.2020060112
UTF-8
6,214
3.796875
4
[]
no_license
#!/bin/sh # # This file was produced by running the Policy_sh.SH script, which # gets its values from config.sh, which is generally produced by # running Configure. # # The idea here is to distill in one place the common site-wide # "policy" answers (such as installation directories) that are # to be "sticky". ...
true
dfc3d033c0389fe03ca7c625d84477b714866d08
Shell
michaelchen1225/homeclass
/param.sh
UTF-8
207
3.015625
3
[]
no_license
#!/bin/bash show_param() { echo '$0: '$0 echo '$1: '$1 echo '$2: '$2 } echo '$0: '$0 echo '$1: '$1 echo '$2: '$2 echo '$10: '$10 echo '${10}: '${10} shift 1 echo '$#: '$# echo '$*: '$* show_param "$@"
true
5601755de8adcfdaf6950d5a197d23a3731aab00
Shell
AndreiBorac/DeityGuard
/2-fingen/overlay/dg-any-base/tmp/dg/rc_local_inner.sh
UTF-8
332
2.890625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/false set -o xtrace set -o errexit set -o nounset set -o pipefail shopt -s failglob shopt -s nullglob ARG1="${1-}" . /tmp/dg/conf f_defs if [ -d /tmp/dg/as_"$ARG1" ] then for i in /tmp/dg/as_"$ARG1"/* do if [ -f "$i" ] then . "$i" fi done fi f_"$ARG1" echo '+OK (rc_local_inner.sh) [...
true
f753298f992924e50d07de27ae9c884cf141af8c
Shell
carsonyan25/ansible
/TD/scripts/tools/set_ip_and_hostname.sh
UTF-8
405
3.8125
4
[]
no_license
#!/bin/bash IP=$1 NAME=$2 verify_args() { if test -z "$IP" ; then echo "parameter 1 must be ip address" exit 1 fi if test -z "$NAME" ; then echo "parameter 2 must be hostname" exit 2 fi } set_ip() { echo "IPADDR=${IP}" >> /etc/sysconfig/network-scripts/ifcfg-eth0 } set_hostname() { echo "${NAME}"...
true
3907ba95fc5979a09a1b8e1bc624ca04634285de
Shell
avallonking/ScienceScripts
/sci/sen.call.sh
UTF-8
1,564
2.78125
3
[]
no_license
#call variants with sentieon #!/bin/sh #Constant and Enviroment refseq="/data/home/lijiaj/reference/combined_ucsc-hg19_EBV.fa" dbsnp="/data/home/lijiaj/reference/dbsnp_138.hg19.vcf" regions_human="/data/home/lijiaj/reference/wholegenomeregions_human.bed" regions_EBV="/data/home/lijiaj/reference/wholegenomeregions_EBV....
true
d4d1df5c186dfc3a50f9636767023252eb3edb29
Shell
tkekan/programming
/user_setup.sh
UTF-8
2,531
3.296875
3
[]
no_license
#!/bin/bash path="/usr/bin" name=`whoami` tenant=`whoami` pass=Juniper1 tmpfile=`mktemp` host=`hostname` export OS_TENANT_NAME=admin export OS_USERNAME=admin export OS_PASSWORD=nova export OS_AUTH_URL=http://$host:35357/v2.0 $path/keystone tenant-create --name $tenant --description "$tenant Tenant" 2>/dev/null $pat...
true
8b42971f500f2947cabb38c7be9afece0281ad24
Shell
lzhlee/px3se-linux
/px3se_linux/device/rockchip/px3-se/S90_vehicle_exit
UTF-8
399
3.296875
3
[]
no_license
#!/bin/sh case "$1" in start) if [ -e /dev/vehicle ] ; then echo 88 > /dev/vehicle [ $? = 0 ] && echo "OK" || echo "FAIL" else echo "/dev/vehicle do not exist" fi ;; *...
true
e868dda10e3c414f995d7e5629f00501d704b58b
Shell
notlixiang/robotics_setup
/qdirstat.sh
UTF-8
571
3.265625
3
[ "Apache-2.0" ]
permissive
echo "####################" echo "# Qdirstat disk utilization visualization" echo "####################" echo "" echo "# https://github.com/shundhammer/qdirstat" echo "" OS=`uname` case $OS in 'Linux') OS='Linux' sudo add-apt-repository ppa:nathan-renniewaldock/qdirstat sudo apt-get update sudo ap...
true
2eaaabacb1efe34bd8493efc6d8377c53cd2975d
Shell
mechmind/dotfiles
/.bin/respawn-scratchpad
UTF-8
899
2.84375
3
[]
no_license
#!/bin/bash if ! xdotool search --classname urxvt-scratchpad ; then urxvt -name urxvt-scratchpad -e ensure-tmux $DISPLAY &>/dev/null & while ! xdotool search --classname urxvt-scratchpad ; do sleep 0.05 done # hack for preserving scratchpad geometry. # currently geometry partially lost when...
true
095f600c647b79024fb01685f5ff65c0932c75d8
Shell
intel-analytics/BigDL
/python/nano/test/run-nano-pytorch-tests-ipex.sh
UTF-8
535
2.9375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash export ANALYTICS_ZOO_ROOT=${ANALYTICS_ZOO_ROOT} export NANO_HOME=${ANALYTICS_ZOO_ROOT}/python/nano/src export PYTORCH_NANO_TEST_DIR=${ANALYTICS_ZOO_ROOT}/python/nano/test/pytorch wget -nv ${FTP_URI}/analytics-zoo-data/cifar-10-python.tar.gz -P /tmp/data set -e # Install ipex to test IPEX related modules...
true
7f3243029e614217329be8ad9c83e7dc44de574d
Shell
manjdk/Carbon-Based-Life-Forms
/scripts/create-table.sh
UTF-8
960
2.84375
3
[]
no_license
#!/bin/sh ENDPOINT_URL="http://localhost:8000" MINERAL_TABLE="Mineral" aws dynamodb describe-table \ --region eu-west-1 \ --endpoint-url ${ENDPOINT_URL} \ --table-name ${MINERAL_TABLE} \ if [ $? -ne 0 ]; then aws dynamodb create-table \ --region eu-west-1 \ --endpoint-url ${ENDPOINT_URL} \ --table-n...
true
b87f8665d1b37d20705bdfde0a3e909e3522a692
Shell
fultonj/edge-standalone
/standalone-central.sh
UTF-8
2,442
2.984375
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash export ZONE=central export INTERFACE=eth0 export IP=$(ip a s $INTERFACE | grep 192 | awk {'print $2'} | sed s/\\/24//g) export NETMASK=24 export DNS_SERVERS=192.168.122.1 export NTP_SERVERS=pool.ntp.org sudo sh -c "echo standalone-${ZONE} > /etc/hostname ; hostname -F /etc/hostname" cat <<EOF > $...
true
8a694899dfa1c02ad466975171d2b2cc8303b156
Shell
chuckis/n-nine-hundreed
/free_rootfs.sh
UTF-8
1,298
2.9375
3
[]
no_license
#!/bin/sh # Nokia N900 Maemo 5 Script to free up space on rootfs # ignoring errors when creating dirs that may already exist # Moving ?? icons to /home/opt mkdir -p /home/opt/usr/share/icons 2> /dev/null cp -r /usr/share/icons/* /home/opt/usr/share/icons rm -r /usr/share/icons ln -s /home/opt/usr/share/icons /usr/shar...
true
9dc65e7b3d252c3a53c1a9e9f5fb762f12a44618
Shell
glynnbird/celsius
/data/populate.sh
UTF-8
456
3.203125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # check for environment variable if [ -z "$COUCH_URL" ] then echo "Need to set COUCH_URL in environment" echo " e.g. export COUCH_URL=http://127.0.0.1:5984" exit 1 fi # check that ccurl is installed hash ccurl 2>/dev/null || { echo >&2 "Need 'ccurl' installed. Try 'sudo npm install -g ccurl'"; exi...
true
16c108e872175c9ba266944885ee58ac0c95ceb0
Shell
TimWolla/dockerdns-knot
/docker-entrypoint.sh
UTF-8
688
2.953125
3
[]
no_license
#!/bin/sh mkdir /run/knot chown knot:knot /run/knot chown knot:knot /var/lib/knot/ if [ ! -d "/var/lib/knot/confdb" ]; then if [ -z "$KNOT_ZONE" ]; then echo >&2 'You need to specify a KNOT_ZONE' exit 1 fi knotd -d until knotc status do echo "Waiting" done knotc conf-import /etc/knot/knot.conf knotc s...
true
99c58bdb34888bf3291f58a9c8adb46f9c7e801b
Shell
YasuhiroOsajima/coder-automate
/5_setup_drawio.sh
UTF-8
464
2.703125
3
[]
no_license
#!/bin/sh # https://hub.docker.com/r/fjudith/draw.io # 8080 is http # 8443 is https # If using LETS_ENCRYPT_ENABLED=true, port 80 is cert-bot DRAW_IO_VERSION=13.1.1 firewall-cmd --zone=public --add-service=http firewall-cmd --zone=public --add-service=https --permanent docker run -t -d \ -e LETS_ENCRYPT_ENABLED=t...
true
8201416cc940401ef9c17dc3972309d4f68d9b24
Shell
fariquelme/g14_dgpu_acpi
/nv-gpu-manager.sh
UTF-8
1,707
3.625
4
[]
no_license
#!/bin/bash if [ "$#" -eq "0" ] then echo -e "ERROR: No arguments supplied, please provide a valid argument:" echo -e "> -k,--kill\n\tCuts the gpu power off" echo -e "> -s,--start\n\tTurns the gpu power on" else case "$1" in -k|--kill ) # Choose integrated gpu for graphics ...
true
97ab1d4da4f3c3f4d7703ae9270bb6212b01de54
Shell
asaaki/luft
/cross/container-setup.sh
UTF-8
898
2.71875
3
[]
no_license
#!/bin/bash set -xeuo pipefail # find other supported archs here: https://github.com/rust-lang/rustup#other-installation-methods # RUSTUP_INIT_URL=https://static.rust-lang.org/rustup/dist/aarch64-unknown-linux-gnueabihf/rustup-init RUSTUP_INIT_URL=https://static.rust-lang.org/rustup/dist/armv7-unknown-linux-gnueabihf/...
true
6b210076c288b4a8613b5518bfc231405f59423a
Shell
zzz3639/EpiBLAST_data
/experimentsettings/sampleselect.sh
UTF-8
556
3.375
3
[]
no_license
#!/bin/bash # select samples to be analysed by EpiBLAST # Usage: ./run.sh roadmapsamples core18idx samples=$1 core18idx=$2 grep -E "\<SD\>" ${samples} > ${samples}SD grep -E "\<C\>" ${samples} > ${samples}C rm ${samples}_core18 while read line ; do read -a strline <<< "$line" existsample=`grep ${strline[0]}...
true
36e6d62d60126d5bc885c29ecd994a0ce3a6c35a
Shell
qian-zhu/script
/mktable.sh
UTF-8
591
3.640625
4
[]
no_license
#!/bin/bash # This script print a html table to a temporary fille /tmp/mktable # You can use it in vim by "!mktable 3 4" # # $1 : row number of table # $2 : column number of table if [ -n "$1" ] && [ -n "$2" ]; then echo "<table>" > /tmp/mktable for ((i=0;i<$1;i++)); do echo -e "\t<tr>" >> /tmp/mktable for ((j=...
true
eb43329b048894c880b7a7829e651c522381e3a4
Shell
indrajithbandara/ghci
/gce/utils/commands.sh
UTF-8
2,362
4.15625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright 2015 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
true
fbca2172a10e55f1fec91191c5944f987da8e55d
Shell
bnamestka/screamingdata
/cmd/sd
UTF-8
822
3.921875
4
[]
no_license
#!/usr/bin/env bash set -e PI_SD=/Volumes/boot DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )" # source utils source $DIR/../lib/utils.sh # parse options source $DIR/../lib/parse-options.sh # ensure sd card is mounted if [ ! -d $PI_SD ]; then exit_with_error "Could not find the SD card. Is i...
true
8fc29f8893e730d544408663f569432e45ce2004
Shell
lrascao/simple_web_server
/scripts/setup
UTF-8
1,115
4
4
[ "MIT" ]
permissive
#!/bin/sh die() { echo "$@" 1>&2 ; exit 1; } usage() { echo "setup" echo " options:" echo " [--endpoint <http://localhost:8585>]" echo echo "Examples:" echo " setup" } # Parse arguments TEMP=$(getopt -n version --options e:,h:: --longoptions endpoint:,help:: -- $@) # Die if they fat finger arguments, ...
true
f5a6db5ed1e175aea8ffc62dc55ce188c6ce0df0
Shell
soondokwon/ebs-radio
/tomp3.sh
UTF-8
158
2.65625
3
[]
no_license
#!/bin/sh #convert to mp3 bitrate=`avconv -i "$1" 2>&1|sed -nr '/Audio\:/{s,^.* ([0-9]+) (.)b/s.*$,\1\2,g;p}'` avconv -i $1 -b:a $bitrate "${2:-${1%.*}.mp3}"
true
0666c3a1bdb0dab93dd269e884991fb023468c27
Shell
occlum/occlum
/demos/benchmarks/iperf3/iperf3.sh
UTF-8
1,139
3.5625
4
[ "BSD-3-Clause" ]
permissive
#! /bin/bash set -e CUR_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) TEST_TIME=${1:-60} BUF_LEN=${2:-128K} STREMS=${3:-8} function iperf3_prepare() { ./build.sh } function iperf3_run() { echo "" echo "*** Doing iperf3 with ${STREMS} client streams in parallel ***" echo "*** with read/write ...
true
949c9fe2687143fe356404cb44ad52ef3563af26
Shell
janmojzis/curvevpn
/debian/service/curvecp/run
UTF-8
1,724
3.5625
4
[]
no_license
#!/bin/sh -e exec 2>&1 DEFAULTFILE="/etc/default/curvevpn-server-run" [ -f "${DEFAULTFILE}" ] && . "${DEFAULTFILE}" if [ x"${ROOT}" = x ]; then echo "\$ROOT not set, please edit ${DEFAULTFILE}"; exit 111; fi if [ x"${IP}" = x ]; then echo "\$IP not set, please edit ${DEFAULTFILE}"; exit 111; fi if [ x"${PORT}" = x ];...
true
c56d10286d1af4a953e016efb2d605f30cb1ff38
Shell
FJchen/ts150
/violate/1_create_table/hive_insert/INSERT_EXT_T0042_TBPC1510_H.sh
UTF-8
675
2.796875
3
[]
no_license
#!/bin/sh ###################################################### # 客户联系位置信息: EXT_T0042_TBPC1510_H临时表导入到贴源表中 # wuzhaohui@tienon.com ###################################################### #引用基础Shell函数库 source /home/ap/dip_ts150/ts150_script/base.sh #登录Hadoop hadoop_login #解释命令行参数 logdate_arg $* # ...
true
da73ce3cc76335150064e4c8c2f095350a63d7e4
Shell
fnord0/blackarch
/packages/jnetmap/PKGBUILD
UTF-8
882
2.546875
3
[]
no_license
pkgname=jnetmap pkgver=0.5.3 pkgrel=1 epoch=100 groups=('blackarch' 'blackarch-networking') pkgdesc="A network monitor of sorts" arch=('i686' 'x86_64' 'armv6h' 'armv7h') url='http://www.rakudave.ch/jnetmap/?file=introduction' license=('GPL3') depends=('java-runtime') source=("http://downloads.sourceforge.net/project/jn...
true
4e04e709ed66ef39dbced2852be4c71090bc7af7
Shell
Liangtaiwan/dotfiles
/zprofile
UTF-8
116
2.765625
3
[]
no_license
#! /bin/zsh if [[ -f "${HOME}/.zshenv" && -z "${path[(r)${HOME}/.local/bin]}" ]]; then source ${HOME}/.zshenv fi
true
d24f4a3cfa98d4fadf12f0d4e0714a3011288afd
Shell
juliantellez/drone-ci-pipeline
/scripts/github-access.sh
UTF-8
683
3.25
3
[]
no_license
#!/usr/bin/env bash if [ -z "${ID_RSA}" ]; then echo "ERROR: No ID_RSA file detected." exit 1 fi # GitHub access mkdir -p ~/.ssh/ echo "$ID_RSA" > ~/.ssh/id_rsa chmod 0600 ~/.ssh/id_rsa # Accept github domain touch ~/.ssh/known_hosts ssh-keyscan github.com >> ~/.ssh/known_hosts # Global configuration git ...
true
8ac77a5c79794b1f5608bfacfd67b0e4d90e02b0
Shell
yoooov/glftpd-installer
/packages/scripts/extra/TVMaze_nuke.sh
UTF-8
7,280
3.671875
4
[ "Unlicense" ]
permissive
#!/bin/bash VER=1.0 #--[ Info ]-----------------------------------------------------# # # This script comes without any warranty, use it at your own risk. # # Changelog # 20XX-00-00 v.1x Orginale creator Sokar aka PicdleRick # 2020-04-18 v.2x Code modifications and improvements Teqno/TeRRaNoVA # # Installation: copy TV...
true
08901579d238f61d7f8c8e6426b92e9046ee3b6f
Shell
feilen/oculus-wine-wrapper
/oculus_wine_wrapper.sh
UTF-8
2,998
3.9375
4
[ "MIT" ]
permissive
#!/bin/bash # Oculus Wine Wrapper # # (C) 2014 Jared Stafford (jspenguin@jspenguin.org) # # Permission is hereby granted, free of charge, to any person obtaining # a copy of this software and associated documentation files (the # "Software"), to deal in the Software without restriction, including # without limitation ...
true
fb13f0e4d33d134c6f6ac65d02e6ded09e909f5c
Shell
ubaceslab/swenv
/build_scripts/build_gmp.sh
UTF-8
1,041
3.484375
3
[]
no_license
#!/bin/sh set -e # Fail on first error GMP_VERSION=$1 echo "Building GMP for ${UBCESLAB_SY...
true
038267e2cf7b66bc51ef83ce699cad5b0dbe7318
Shell
lxgolovin/mint-quick-install
/more_software/install-teamviewer-v1.sh
UTF-8
601
2.609375
3
[]
no_license
#!/bin/bash # Downloading and installing latest teamviewer echo "################################################################" echo "############## teamviewer installation #################" rm /tmp/teamviewer_i386.deb wget https://download.teamviewer.com/download/teamviewer_i386.deb -O /tmp/teamviewer_...
true
cb32071562a11ca964defc076af73ef1345e67d6
Shell
hupi-analytics/formation
/bureau_etudes_insa/2021/exemple_creation_Docker/start.sh
UTF-8
225
2.5625
3
[]
no_license
#!/bin/bash source activate $(head -1 /tmp/environment.yml | cut -d ' ' -f2 | sed -e 's/[\r\n]*//g') export PATH=/opt/conda/envs/$(head -1 /tmp/environment.yml | cut -d' ' -f2 | sed -e 's/[\r\n]*//g')/bin:$PATH $1 $2 exit $?
true
d2f75d817c710dba2d3f4288a99bf5b7807cf83f
Shell
pythseq/lncRNA-screen
/code/group_mean.bash
UTF-8
2,154
3.9375
4
[]
no_license
#!/bin/bash source code/custom-bashrc if [ "$#" -ne 4 ]; then printf "\n\n###### Usage\n\n" printf "$0 <FPKM CUTOFF> <PATH to group_info.txt file> <GROUP_BY> <FPKM MATRIX FILE>\n\n" exit fi cutoff=$1 GROUP_FILE=$2 GROUP_BY=$3 MATRIX=$4 GROUP_INDEX=`head -1 $GROUP_FILE | tr '\t' '\n' | cat -n|...
true
5d9fd595fb20c6b0335d0035ab223210156ff6dc
Shell
lewis-jg-lan/my_tools
/Desktop/Script/shell/NYC_Check_.sh
UTF-8
518
2.53125
3
[]
no_license
#!/bin/sh #1.0 #SN=`cat /Phoenix/Logs/SerialNumber.txt` #NYCPN=`cat /Phoenix/Logs/processlog.plog | grep "WIP scanned=" | cut -d "=" -f 2 | awk '{print $1}'` NYCPN=`cat /Phoenix/Logs/processlog.plog | grep -m 1 -o 'WIP scanned=".*"' | cut -f2 -d"+" | cut -f1 -d '"'` #echo "$SN" #echo "$KSN" if [ "${NYCPN}" == "K0QM1...
true
3ca08464085b4c3439adb976294ecfce24e7d94a
Shell
bjx2130/kafka-cluster
/kafka_2.12-1.0.0-cluster/kafka-cluster-server.sh
UTF-8
1,121
2.890625
3
[]
no_license
#!/bin/bash # zookeeper 集群的根目录 KAFKA_CLUSTER__HOME=./ # 以下是3个集群节点的配置 conf0=${KAFKA_CLUSTER__HOME}/config/server-0.properties conf1=${KAFKA_CLUSTER__HOME}/config/server-1.properties conf2=${KAFKA_CLUSTER__HOME}/config/server-2.properties if [ $1 = start ]; then echo "启动集群 kafka-cluster ------------ " nohup ${KAF...
true
fd4b570852976be16d1a9e74e1b123ad52551dde
Shell
thomasgranbohm/magisk-custom-display-settings
/build.sh
UTF-8
496
2.625
3
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/bin/bash pushd app aapt package -M AndroidManifest.xml -S res/ \ -I "$HOME/android-9/android.jar" \ -F CustomDisplaySettings.apk || exit 1 mv CustomDisplaySettings.apk .. popd pushd magisk mv ../CustomDisplaySettings.apk system/vendor/overlay/CustomDisplaySettings/ find -exec touch -d @0 -h {} + find -type d...
true
0a90cd66ed7940a8f5e196b52e720522e5b0618b
Shell
wangqifeng/9nfl
/example/data_join/dist_data_join_follower.sh
UTF-8
934
3.078125
3
[ "LicenseRef-scancode-openssl", "LicenseRef-scancode-ssleay-windows", "Zlib", "LicenseRef-scancode-pcre", "LicenseRef-scancode-ssleay", "MIT", "LicenseRef-scancode-unknown-license-reference", "BSD-3-Clause", "Apache-2.0", "LicenseRef-scancode-public-domain", "BSD-2-Clause" ]
permissive
WORK_DIR=$(cd `dirname $0`;pwd) BASE_DIR=`readlink -f "${WORK_DIR}/../.."` create_pod(){ set -x partition_id=$1 data_source_name="jdfl-opensource-data-join-v1" task_name="${data_source_name}-follower-worker-${partition_id}" uuid="jdfl_DataJoinWorkerService_${partition_id}" image_path="" # data join follower image path...
true
dc87a229724f4eea516c1c49977cb662847a9fe0
Shell
QServ/QServ
/src/test/discovery/runTests.sh
UTF-8
615
2.921875
3
[]
no_license
#!/bin/bash TEST_PATH="$( cd "$(dirname "$0")" ; pwd -P )" export KDB_SVC_CONFIG_PATH="${QSERV_HOME}/config/svc" export KDB_COMMON_CONFIG_PATH="${QSERV_HOME}/config/common" ### Start the discovery service pushd ${QSERV_HOME}/src/q/discovery $QHOME/l32/q discovery.q & DISCOVERY_PID=$! popd pushd ${TEST_PATH} ## Star...
true
f92e9ee32ec9368565c7d5de1b734f056ec68f4e
Shell
mjerger/ALT
/Software/tools/capture_canon_tethered.sh
UTF-8
728
2.5625
3
[]
no_license
# get available camera # gphoto2 --auto-detect #then use model string to identify cam # get abilities # gphoto2 --camera "Canon EOS 5D Mark II" --list-config # ss=1/200; if [ -n "$1" ] ; then ss=$1; fi ap=2.8; if [ -n "$2" ] ; then ap=$2; fi # set default config gphoto2 --camera "Canon EOS 5D Mark II" \ --se...
true
17554e8bb5095daacdd65c047dfb8f085c9eeb3d
Shell
sureshrmdec/notes-2
/devOps/docker/dataV.sh
UTF-8
802
2.796875
3
[]
no_license
#mount a data volumn with -v, it will be created upon start, and will persist docker create --name postgres-data -v /var/lib/postgresql/data postgres #mount a host directory can be useful for testing: mount source code inside container and o #use DVC to share data between containers, and/or use it from non-persisten...
true
d2008dc533fd040242225ee0ce225e46e53ba6d6
Shell
DiploDatos/AprendizajeProfundo
/run.sh
UTF-8
1,201
2.8125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -ex if [ ! -d "./data/meli-challenge-2019/" ] then mkdir -p ./data echo >&2 "Downloading Meli Challenge Dataset" curl -L https://cs.famaf.unc.edu.ar/\~ccardellino/resources/diplodatos/meli-challenge-2019.tar.bz2 -o ./data/meli-challenge-2019.tar.bz2 tar jxvf ./data/meli-challen...
true
2580261f80794efb6fff33f9b888271d80506887
Shell
slinkydeveloper/knative-kafka-scaling-demo
/producer/produce.sh
UTF-8
1,439
3.953125
4
[]
no_license
#!/bin/bash check_command_exists() { local CMD_NAME=$1 command -v "$CMD_NAME" > /dev/null || { echo "Command $CMD_NAME not exists, please install it" exit 1 } } start_producer() { local pipe_name=$1 local bootstrap_url=$2 local topic=$3 kafkacat -b "$bootstrap_url" -t "$topic" -P < "$pipe_name"...
true
e3b4fae749e7255243fa9e3dc8a3f3a7975e43c0
Shell
bazelbuild/bazel
/src/test/shell/integration/jvm_flags_escaping_test.sh
UTF-8
9,674
3.5625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright 2019 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
true
038b52dcbb14caf4c65e6696b683cbe4d0ea481e
Shell
xukai286/farm
/numa/iperf-tcp/parse.sh
UTF-8
379
2.6875
3
[]
no_license
#! /bin/sh source ./defination test -e $Parsedir || mkdir -p $Parsedir # bandwidth for ps in $pss do for bs in $bss do for cpunode in $cpunodes do for memnode in $memnodes do # example output # [ 4] 0.0-60.0 sec 63.3 GBytes 9.06 Gbits/sec tail -1 $Logdir/iperf-c$cpunode-m$memnode-$bs-$ps.log | cut -c 35-3...
true
eded9e14af6c6791f45100d329f8e3c36c5c353a
Shell
hongzhouye/mpe-mol
/script/get_qchem_grid.sh
UTF-8
381
3.15625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash #first argument of script is molecule name #run ./mpeinput.sh name #adjust scratch directory name if [ $# != 2 ] then echo "Usage: path prefix" exit fi run_path=$PWD path=$1 name=$2 scratchdir=/scratch/hzye2011/$name cd $path # obtain grid /home/hzye2011/local/bin/shutils/qchem.20180508 ${name}_gri...
true
e1dd3ee110374070e863a21c97a3e5d705a15881
Shell
jnonino/environment-setup
/linux/maven.sh
UTF-8
486
3.203125
3
[ "MIT" ]
permissive
#!/bin/bash MAVEN_VERSION=3.6.1 echo "Install Maven" wget http://apache.dattatec.com/maven/maven-3/$MAVEN_VERSION/binaries/apache-maven-$MAVEN_VERSION-bin.tar.gz tar -zxvf apache-maven-$MAVEN_VERSION-bin.tar.gz rm -rf apache-maven-$MAVEN_VERSION-bin.tar.gz mv apache-maven-$MAVEN_VERSION /opt/maven echo "export MAVE...
true
98007c459e08cfae2e2ad19bf7845ea3ac0b35f7
Shell
gilbutITbook/006718
/chapter03/sysloger
UTF-8
164
3.171875
3
[]
no_license
#!/bin/bash result=syslogresult`date +%y%m%d` if [ $1 -gt 30 ] then echo "too big" exit 1 else line=${1:-10} fi tail /var/log/syslog -n$1ine > $result exit 0
true
7e384b9baa430b1343416a53cfc4677c64e46828
Shell
B-Rich/community-mirror
/mandvd/repos/community-i686/PKGBUILD
UTF-8
1,209
2.578125
3
[]
no_license
# $Id$ # Maintainer: Jaroslav Lichtblau <dragonlord@aur.archlinux.org> # Contributor: JJDaNiMoTh <jjdanimoth.aur@gmail.com> # Contributor: Jesus Lazaro Plaza <jesuslazaro84@gmail.com> pkgname=mandvd pkgver=2.6 pkgrel=2 pkgdesc="A program to simply create DVD Video" arch=('i686' 'x86_64') url="http://www.kde-apps.org/c...
true
42a072b01a5be754937085b89d35aac7eba560f6
Shell
abenjak/filter_phylogic_clusters
/cluster.sh
UTF-8
2,520
2.890625
3
[]
no_license
# reproduce the clustering in in_absolute_total_sequenza by using a bash loop # clustering round1 already done r=1 # for fname in Cluster.round${r}.blacklist/*log; do tail -n2 $fname | head -1; done | sort -k2,2nr | grep -v -P "\t0$" > Cluster.round${r}.blacklisted_samples.txt if [ $(wc -l < Cluster.round${r}.blackl...
true
218fd48a9897cdf87ec142d0299e1d2c0cb5f560
Shell
inissa/system-management
/buildscripts/buildlibidn
UTF-8
457
3.125
3
[ "MIT", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/bin/bash -e export PKGNAME=libidn export PKGVER=1.33 export PKGTAR=${PKGNAME}-${PKGVER}.tar.gz export PKGURL="https://ftp.gnu.org/gnu/libidn/${PKGTAR}" export MAKE_JOBS_FLAGS="-j4" make_install_post() { rm -rf ${DEST}/usr/share/emacs ${DEST}/usr/share/info/*.png install -dm755 ${DEST}/lib mv ${DEST}/usr/lib...
true